Export (0) Print
Expand All
This topic has not yet been rated - Rate this topic

Vulnerabilities in FFmpeg Libavcodec Could Allow Arbitrary Code Execution

Vulnerabilities in FFmpeg Libavcodec Could Allow Arbitrary Code Execution

Published: October 16, 2012

Version: 1.0

Overview

Executive Summary

Microsoft is providing notification of the discovery and remediation of three vulnerabilities in the FFmpeg codec library software version 0.10 and earlier versions. Microsoft discovered and disclosed the vulnerability under coordinated vulnerability disclosure to the affected vendor, FFmpeg. FFmpeg has remediated the vulnerability in their software.

Vulnerabilities exist in the way that FFmpeg libavcodec parses ASF, QT, and WMV files. These vulnerabilities result in memory corruption issues within libavcodec, allowing arbitrary code execution. An attacker who successfully exploited this vulnerability could gain the same user rights as the current user. If the current user is logged on with administrative user rights, an attacker who successfully exploited this vulnerability could take complete control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights.

Microsoft Vulnerability Research reported these vulnerabilities to and coordinated with FFmpeg to ensure remediation of these vulnerabilities. The vulnerabilities have been assigned CVE entries CVE-2012-5359, CVE-2012-5360, and CVE-2012-5361, respectively, in the Common Vulnerabilities and Exposures list. For more information, including information about updates from FFmpeg, see the FFmpeg download page.

Mitigating Factors

  • The vulnerabilities cannot be exploited automatically through email. For an attack to be successful, a user must open an attachment that is sent in an email message.
  • In a web-based attack scenario, an attacker could host a website that contains a specially crafted file that is used to exploit any of these vulnerabilities. In addition, compromised websites and websites that accept or host user-provided content or advertisements could contain specially crafted content that could exploit these vulnerabilities. In all cases, however, an attacker would have no way to force users to visit such websites. Instead, an attacker would have to convince users to visit the website, typically by getting them to click a link in an email message or Instant Messenger message that takes users to the attacker’s website, and then convince them to open the specially crafted file.
  • An attacker who successfully exploited these vulnerabilities could gain the same user rights as the current user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.

Advisory Details

Purpose and Recommendation

Purpose of Advisory: To notify users of vulnerabilities and their remediation.

Advisory Status: Advisory published.

Recommendation: Review the Suggested Actions section and configure as appropriate.

Issue References

For more information about this issue, see the following references:

ReferenceIdentification
Common Vulnerabilities and ExposuresCVE-2012-5359
CVE-2012-5360
CVE-2012-5361

Affected and Non-Affected Software

This advisory discusses the following software:

Affected Software
FFmpeg 0.10 and earlier versions
Non-Affected Software
FFmpeg 0.11
FFmpeg 1.0

What is the scope of this advisory? 
This advisory is part of a coordinated release with affected vendors to inform customers of a security issue that may affect their systems.

Are these security vulnerabilities that require Microsoft to issue a security update? 
No. These vulnerabilities have been fixed via an update from the affected third-party vendor. The update remediates the software listed in the table, Affected Software.

What is the scope of the vulnerabilities? 
These are remote code execution vulnerabilities. An attacker who successfully exploited any of these vulnerabilities could gain the same user rights as the current user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.

What causes the vulnerabilities? 
These vulnerabilities are caused by the way that FFmpeg parses specially crafted ASF, QT, and WMV files, which results in memory corruption.

What might an attacker use these vulnerabilities to do? 
An attacker who successfully exploited any of these vulnerabilities could run arbitrary code in the security context of the current user. If the current user is logged on with administrative user rights, an attacker who successfully exploited these vulnerabilities could take complete control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.

How could an attacker exploit the vulnerabilities? 
An attacker could exploit these vulnerabilities by tricking a user into opening a specially crafted file with an affected version of FFmpeg. Typically these specially crafted files are delivered via social engineering techniques in email, instant messaging, or via download links on websites. These vulnerabilities cannot be exploited without user interaction.

Update to the latest version of FFmpeg at from the FFmpeg download page.

Other Information

Acknowledgments

Microsoft thanks the following:

  • Jeremy Brown of Microsoft for discovering this issue

Disclaimer

The information provided in this advisory is provided "as is" without warranty of any kind. Microsoft disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Microsoft Corporation or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Microsoft Corporation or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.

Revisions

  • V1.0 (October 16, 2012): Advisory published.

Built at 2014-04-16T02:39:51Z-07:00

Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback
Show:
© 2014 Microsoft. All rights reserved.